from staff.femida.models import FemidaVacancy
from staff.lib.sync_tools.datagenerators import DataGenerator


class VacanciesDataGenerator(DataGenerator):
    model = FemidaVacancy
    sync_fields = ('id', )

    def get_diff_fields(self):
        return tuple(set(self.model._meta.get_all_field_names()) - set(self.get_sync_fields()))

    def ext_data_gen(self):
        return self.external_datasource
